
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');

:root {
    --primary-color: #aa014f;
    --secondary-color: #1a171c;
    --color-white: #FFFFFF;
    --color-black: #000000;
    --primary-font: 'Poppins', sans-serif;
    --heading-font-size: 26px;
}

body {
    font-family: var(--primary-font);
    font-size: 14px;
}

h2 {
    color: var(--primary-color);
    font-size: var(--heading-font-size);
    font-weight: bold;
}

a, a:hover {
    color: var(--color-black);
}

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle,
.btn-primary.focus,
.btn-primary:focus {
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.btn {
    font-size: 0.8rem;
}

.text-primary {
    color: var(--primary-color) !important;
}

.heading-text {
    color: var(--color-black);
    font-size: 14px;
}

.navbar {
    padding: .5rem 0;
}

.navbar-brand img {
    margin-left: 30px;
}

.navbar-nav {
    background-color: var(--primary-color) !important;
    border-bottom-left-radius: 25px;
    border-top-left-radius: 25px;
    padding: 5px 15px;
}

.navbar-nav .nav-link {
    color: var(--color-white) !important;
}

.navbar-nav .nav-link img {
    margin-right: 3px;
    width: 18px;
    height: 18px;
}

.navbar-nav .dropdown-menu {
    font-size: 0.8rem;
    left: auto;
    right: 0;
    background-color: var(--primary-color) !important;
}

.navbar-nav .dropdown-item {
    color: var(--color-white) !important;
}

.navbar-nav .dropdown-item:hover {
    background-color: var(--secondary-color) !important;
}


.main-side {
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.form-container {
    width: 100%;
    padding: 20px;
}

.form-control {
    border-radius: 40px;
    padding: 20px;
    font-size: 0.8rem;
}

.input-icon {
    position: relative;
}

.input-icon img {
    position: absolute;
    left: 20px;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
}

.btn-block {
    width: 100%;
    border-radius: 40px;
    padding: 15px;
    background-color: var(--primary-color);
    border: 1px solid var(--color-white);
    color: white;
}

.btn-block:hover {
    background-color: var(--color-white);
    border: 1px solid var(--primary-color);
    color: var(--primary-color);
}

.btn-block-un {
    width: 100%;
    border-radius: 40px;
    padding: 15px;
    background-color: var(--color-white);
    border: 1px solid var(--primary-color);
    color: var(--primary-color);
}

.btn-block-un:hover {
    background-color: var(--primary-color);
    border: 1px solid var(--color-white);
    color: var(--color-white);
}

label {
    padding-left: 15px;
    font-size: 0.8rem;
}

#edit-tab .nav-item > .nav-link {
    border-radius: 0;
}
#edit-tab .nav-item:first-child > .nav-link:after {
    content: '';
    background: url('../img/icon/heart.png') no-repeat center center;
    background-size: contain; /* veya 'cover' */
    position: absolute;
    margin-left: 3px;
    width: 20px; /* istediğiniz genişlik */
    height: 20px; /* istediğiniz yükseklik */
}
#edit-tab .nav-item:first-child > .active:after {
    content: '';
    background: url('../img/icon/heart_white.png') no-repeat center center;
    background-size: contain; /* veya 'cover' */
    position: absolute;
    margin-left: 3px;
    width: 20px; /* istediğiniz genişlik */
    height: 20px; /* istediğiniz yükseklik */
}
#edit-tab .nav-item:last-child > .nav-link:after {
    content: '';
    background: url('../img/icon/password_change.png') no-repeat center center;
    background-size: contain; /* veya 'cover' */
    position: absolute;
    margin-left: 3px;
    width: 20px; /* istediğiniz genişlik */
    height: 20px; /* istediğiniz yükseklik */
}
#edit-tab .nav-item:last-child > .active:after {
    content: '';
    background: url('../img/icon/password_change_white.png') no-repeat center center;
    background-size: contain; /* veya 'cover' */
    position: absolute;
    margin-left: 3px;
    width: 20px; /* istediğiniz genişlik */
    height: 20px; /* istediğiniz yükseklik */
}

#edit-tab .nav-item:first-child > .nav-link {
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
}
#edit-tab .nav-item:last-child > .nav-link {
    border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
}
.nav-tabs {
    border: none;
    margin: 15px 0;
}
.nav-tabs .nav-item {
    width: 50%;
    text-align: center;
}

.nav-tabs .nav-item .nav-link {
    background: #EEF3F5;
    color: #666666;
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    background: var(--primary-color);
    color: #FFF;
}
.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
    border-color : transparent;
}
.nav-tabs .nav-link:focus,
.nav-tabs .nav-link:hover {
    border-color : transparent;
}

.custom-select2 {
    position: relative;
}
.custom-select2 select {
    width: 100%;
    padding: 10px 15px;
    height: auto;
    font-size: 0.8rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: 1px solid #ccc;
    border-radius: 40px;
    background-color: #fff;
    background-position: right 15px center;
    background-repeat: no-repeat;
    background-image: none; /* Arka plan görüntüsü kaldırıldı */
}
.custom-select2::after {
    content: '';
    position: absolute;
    top: 50%;
    right: 15px;
    width: 11px;
    height: 7px;
    background-image: url('../img/icon/arrow_selectbox.png'); /* Değiştirmek istediğiniz simge dosyasının yolu */
    background-size: contain;
    pointer-events: none;
    transform: translateY(-50%);
}

.logo-white {
    display: none;
}

@media (max-width: 992px) {
    .navbar {
        background: var(--primary-color);
    }
    .navbar-brand img {
        height: 40px;
    }

    .navbar-nav {
        border-bottom-left-radius: 0;
        border-top-left-radius: 0;
    }

    .logo {
        display: none;
    }

    .logo-white {
        display: block;
    }
    .navbar-light .navbar-toggler {
        border-color : transparent;
    }
    .navbar-light .navbar-toggler:focus {
        outline:none;
    }

    .navbar-light .navbar-toggler-icon {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30'%3e%3cpath stroke='%23FFFFFF' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");

    }

    #edit-tab .nav-item > .nav-link {
        font-size: 0.7rem;
    }

    #edit-tab .nav-item {
        *text-align: left;
    }

    #edit-tab .nav-item:first-child > .active:after,
    #edit-tab .nav-item:first-child > .nav-link:after,
    #edit-tab .nav-item:last-child > .nav-link:after,
    #edit-tab .nav-item:last-child > .active:after
    {
        width: 16px; /* istediğiniz genişlik */
        height: 16px; /* istediğiniz yükseklik */
    }

    .step-right {
        margin-top: 15px;
    }

    .step-label {
        font-size: 0 !important;
    }
    .step-label.active {
        width: 100%;
        text-align: left;
        font-size: 12px !important;
    }
}
